# PrototypedBuilder Class Reference

Inheritance diagram for PrototypedBuilder:
[legend]

List of all members.

## Public Member Functions

| __construct (EntityProto $proto)
| setLimitedPropertiesList ($list)
| cloneBuilder (EntityProto $proto)
| cloneInnerBuilder ($property)
| makeListItemBuilder ($object)
| makeReverseBuilder ()
| make ($object, $recursive=true)
| Also try using plain limitedPropertiesList instead of limited hierarchy recursing.
| compile ($object, $recursive=true)
| upperMake ($object, &$result)
| makeList ($objectsList, $recursive=true)
| makeOwn ($object, &$result)
| upperFill ($object, &$result)
| fillOwn ($object, &$result)

## Protected Member Functions

| createEmpty ()
| getGetter ($object)
| getSetter (&$object)
| initialize ($object, &$result)
| getFormMapping ()

## Protected Attributes

| $proto = null

## Private Attributes

| $limitedPropertiesList = null

## Detailed Description

Definition at line 12 of file PrototypedBuilder.class.php.

## Constructor & Destructor Documentation

PrototypedBuilder::__construct | ( | EntityProto $ | proto | ) |

Reimplemented in DirectoryBuilder, and DirectoryToObjectBinder.

Definition at line 30 of file PrototypedBuilder.class.php.

## Member Function Documentation

PrototypedBuilder::cloneBuilder | ( | EntityProto $ | proto | ) |

Returns:
  PrototypedBuilder

Reimplemented in DirectoryBuilder, and DirectoryToObjectBinder.

Definition at line 53 of file PrototypedBuilder.class.php.

References Assert::dumpArgument(), EntityProto::isInstanceOf(), and Assert::isTrue().

Referenced by make(), upperFill(), and upperMake().

Here is the call graph for this function:

PrototypedBuilder::cloneInnerBuilder | ( | $ | property | ) |

Reimplemented in DirectoryBuilder, and DirectoryToObjectBinder.

Definition at line 69 of file PrototypedBuilder.class.php.

References getFormMapping(), Assert::isIndexExists(), and Assert::isInstance().

Referenced by fillOwn().

Here is the call graph for this function:

PrototypedBuilder::compile | ( | $ | object,
|  | $ | recursive = `true` |
| ) |  |  |

Definition at line 149 of file PrototypedBuilder.class.php.

References createEmpty(), fillOwn(), initialize(), and upperMake().

Referenced by make().

Here is the call graph for this function:

PrototypedBuilder::createEmpty | ( |  | ) | `[abstract, protected]`

Reimplemented in DirectoryBuilder, DTOBuilder, DTOToScopeConverter, FormBuilder, FormToScopeExporter, and ObjectBuilder.

Referenced by compile().

PrototypedBuilder::fillOwn | ( | $ | object,
|  | &$ | result |
| ) |  |  |

Reimplemented in FormBuilder.

Definition at line 208 of file PrototypedBuilder.class.php.

References cloneInnerBuilder(), getFormMapping(), getGetter(), getSetter(), make(), makeList(), and upperFill().

Referenced by compile(), makeOwn(), upperFill(), and upperMake().

Here is the call graph for this function:

PrototypedBuilder::getFormMapping | ( |  | ) | `[protected]`

Definition at line 260 of file PrototypedBuilder.class.php.

Referenced by cloneInnerBuilder(), fillOwn(), and FormBuilder::fillOwn().

PrototypedBuilder::getGetter | ( | $ | object | ) | `[abstract, protected]`

Returns:
  PrototypedGetter

Reimplemented in DirectoryToObjectBinder, DTOToFormImporter, DTOToScopeConverter, FormToObjectConverter, FormToScopeExporter, ObjectToDirectoryBinder, ObjectToDTOConverter, ObjectToFormConverter, ObjectToFormSetter, ObjectToObjectCast, and ScopeToFormImporter.

Referenced by fillOwn().

PrototypedBuilder::getSetter | ( | &$ | object | ) | `[abstract, protected]`

Returns:
  PrototypedSetter

Reimplemented in DirectoryToObjectBinder, DTOToFormImporter, DTOToScopeConverter, FormToObjectConverter, FormToScopeExporter, ObjectToDirectoryBinder, ObjectToDTOConverter, ObjectToFormConverter, ObjectToFormSetter, ObjectToObjectCast, and ScopeToFormImporter.

Referenced by fillOwn().

PrototypedBuilder::initialize | ( | $ | object,
|  | &$ | result |
| ) |  |  | `[protected]`

Reimplemented in DirectoryToObjectBinder.

Definition at line 255 of file PrototypedBuilder.class.php.

Referenced by compile().

PrototypedBuilder::make | ( | $ | object,
|  | $ | recursive = `true` |
| ) |  |  |

Also try using plain limitedPropertiesList instead of limited hierarchy recursing.

Reimplemented in DirectoryToObjectBinder, and ObjectToDirectoryBinder.

Definition at line 109 of file PrototypedBuilder.class.php.

References $proto, cloneBuilder(), compile(), and ClassUtils::isInstanceOf().

Referenced by fillOwn(), and makeList().

Here is the call graph for this function:

PrototypedBuilder::makeList | ( | $ | objectsList,
|  | $ | recursive = `true` |
| ) |  |  |

Definition at line 173 of file PrototypedBuilder.class.php.

References Assert::isArray(), make(), and makeListItemBuilder().

Referenced by fillOwn().

Here is the call graph for this function:

PrototypedBuilder::makeListItemBuilder | ( | $ | object | ) |

Reimplemented in DirectoryBuilder.

Definition at line 90 of file PrototypedBuilder.class.php.

Referenced by makeList().

PrototypedBuilder::makeOwn | ( | $ | object,
|  | &$ | result |
| ) |  |  |

Deprecated:
  in favour of fillOwn()

Definition at line 193 of file PrototypedBuilder.class.php.

References fillOwn().

Here is the call graph for this function:

PrototypedBuilder::makeReverseBuilder | ( |  | ) |

Returns:
  PrototypedBuilder

Reimplemented in DirectoryToObjectBinder, and ObjectToDirectoryBinder.

Definition at line 98 of file PrototypedBuilder.class.php.

PrototypedBuilder::setLimitedPropertiesList | ( | $ | list | ) |

Definition at line 35 of file PrototypedBuilder.class.php.

References Assert::isArray(), and Assert::isIndexExists().

Here is the call graph for this function:

PrototypedBuilder::upperFill | ( | $ | object,
|  | &$ | result |
| ) |  |  |

Definition at line 198 of file PrototypedBuilder.class.php.

References cloneBuilder(), and fillOwn().

Referenced by fillOwn().

Here is the call graph for this function:

PrototypedBuilder::upperMake | ( | $ | object,
|  | &$ | result |
| ) |  |  |

Definition at line 163 of file PrototypedBuilder.class.php.

References cloneBuilder(), and fillOwn().

Referenced by compile().

Here is the call graph for this function:

## Member Data Documentation

PrototypedBuilder::$limitedPropertiesList = null`[private]`

Definition at line 16 of file PrototypedBuilder.class.php.

PrototypedBuilder::$proto = null`[protected]`

Definition at line 14 of file PrototypedBuilder.class.php.

Referenced by make().

The documentation for this class was generated from the following file:

- main/EntityProto/PrototypedBuilder.class.php